<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelPortfolioResponse StructType
 * @subpackage Structs
 */
class HotelPortfolioResponse extends AbstractStructBase
{
    /**
     * The HotelPortfolioRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $HotelPortfolioRS;
    /**
     * Constructor method for HotelPortfolioResponse
     * @uses HotelPortfolioResponse::setHotelPortfolioRS()
     * @param \StructType\JP_StaticDataRS $hotelPortfolioRS
     */
    public function __construct(\StructType\JP_StaticDataRS $hotelPortfolioRS = null)
    {
        $this
            ->setHotelPortfolioRS($hotelPortfolioRS);
    }
    /**
     * Get HotelPortfolioRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getHotelPortfolioRS()
    {
        return $this->HotelPortfolioRS;
    }
    /**
     * Set HotelPortfolioRS value
     * @param \StructType\JP_StaticDataRS $hotelPortfolioRS
     * @return \StructType\HotelPortfolioResponse
     */
    public function setHotelPortfolioRS(\StructType\JP_StaticDataRS $hotelPortfolioRS = null)
    {
        $this->HotelPortfolioRS = $hotelPortfolioRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelPortfolioResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
